<?php
/**
 * Filtres pour le squelette ecalendrier_semaine.html
 *
 * @plugin     erdv
 * @copyright  2024
 * @author     Vincent CALLIES
 * @licence    GNU/GPL
 * @package    SPIP\Erdv\x
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Consolider les rendez-vous sur une journée
 *
 * Un tétris à l'envers : on tente de placer les rendez-vous
 * sur la première ligne, et si ce n'est pas possible,
 * on descend.
 *
 * @param array $semaine
 * @param int $id_ecalendrier
 * @return array
 */
function tetris_j(array $semaine, int $id_ecalendrier) : array {
	include_spip('inc/erdv');
	$champs = tetris_journees($semaine, $id_ecalendrier);
	// Envoyer aux plugins
	$champs = pipeline(
		'ecalendrier_semaine',
		[
			'args' => [
				'type' => 'journees',
				'semaine' => $semaine,
				'id_ecalendrier' => $id_ecalendrier,
			],
			'data' => $champs
		]
	);
	return $champs;
}

/**
 * Consolider les rendez-vous par heure
 *
 * En colonne
 * to do : en ligne aussi
 *
 * @param array $semaine
 * @param int $id_ecalendrier
 * @return array
 */
function tetris_h(array $semaine, int $id_ecalendrier) : array {
	include_spip('inc/erdv');
	$champs = tetris_heures($semaine, $id_ecalendrier);
	// Envoyer aux plugins
	$champs = pipeline(
		'ecalendrier_semaine',
		[
			'args' => [
				'type' => 'heures',
				'semaine' => $semaine,
				'id_ecalendrier' => $id_ecalendrier,
			],
			'data' => $champs
		]
	);
	return $champs;

}